Subject: Re: bug#63595: 30.0.50; ERC 5.6: Add buffer-list and nick-list modules

From: "J.P." <[email-masked]>
Date: Sun, 20 Aug 2023 12:56:30 -0700

Corwin Brust <[email-masked]> writes:

> TL;DR: Couldn't apply; can you double check?

Hm, I'm able to apply that patch atop a563ea8 [1].

  $ cd /tmp
  $ git clone --depth 1 https://git.savannah.gnu.org/git/emacs.git
  $ cd emacs
  $ curl -L "$url [2]" | git am

  Applying: Prevent unwanted recursion in erc-nickbar-disable

  $ git status

  On branch master
  Your branch is ahead of 'origin/master' by 1 commit.
    (use "git push" to publish your local commits)
  
  nothing to commit, working tree clean

  $ git log -n2 --oneline

  5104bc0 Prevent unwanted recursion in erc-nickbar-disable
  a563ea8 * lisp/isearch.el (isearch-resume): Add isearch-push-state (bug#65379).

However, as I type this, I'm thinking I should have also tried it with a
minimal ~/.gitconfig as well as after running ./autogen.sh. That said, I
do both in CI (with a slightly updated patch), and it works fine.

> detail below and thanks for the insta-response!
>
> corwi@Avalon MINGW64 /h/emacs-dev/emacs-nt
> $ git status
> On branch master
> Your branch is up to date with 'origin/master'.
>
> nothing to commit, working tree clean
>
> corwi@Avalon MINGW64 /h/emacs-dev/emacs-nt
> $ git apply /c/Users/corwi/Downloads/0001-5.6-Prevent-unwanted-recursion-in-erc-nickbar-disabl.patch
> error: patch failed: lisp/erc/erc-speedbar.el:439
> error: lisp/erc/erc-speedbar.el: patch does not apply
> error: patch failed: test/lisp/erc/erc-scenarios-status-sidebar.el:94
> error: test/lisp/erc/erc-scenarios-status-sidebar.el: patch does not apply
> error: patch failed: test/lisp/erc/resources/erc-scenarios-common.el:122
> error: test/lisp/erc/resources/erc-scenarios-common.el: patch does not apply
>
> corwi@Avalon MINGW64 /h/emacs-dev/emacs-nt
> $

I find it unlikely that none of the hunks apply cleanly. Perhaps this
has something to do with white space/line endings? Maybe you need to
change core.autocrlf or similar?

[1] https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=a563ea89633963fb20c4159bd5e8da825ffc2248
[2] https://debbugs.gnu.org/cgi/bugreport.cgi?filename=0001-5.6-Prevent-unwanted-recursion-in-erc-nickbar-disabl.patch;msg=23;bug=63595;att=1